- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- File List
- Globals

Data Structures | Macros | Typedefs | Functions
dirent.h File Reference

The file that provides functions ported from Unix in dirent.h. More...

## Data Structures
struct | dirent
| A structure that describes a directory stream. More...

## Macros
#define | DT_UNKNOWN 0
| Specifies that the file type is unknown.
#define | DT_DIR 4
| Specifies that the file type is a directory.

## Typedefs
typedef struct DIR | DIR
| A structure that describes a directory stream.

## Functions
EAPI DIR * | opendir (char const *name)
| Open the given directory. More...
EAPI int | closedir (DIR *dir)
| Close the given directory. More...
EAPI struct dirent * | readdir (DIR *dir)
| Read the given directory. More...

## Detailed Description

The file that provides functions ported from Unix in dirent.h.